#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

{#  an upstream definition template

    # the upstream name
    item.name: string
    # the upstream distribution strategy
    item.strategy: string | d(omit)
    # the upstream list
    item.upstream: string[]
-#}

upstream {{ item.name | mandatory }} {
    {% if item.strategy is defined %}
    {item.strategy}
    {% endif %}

    {% for upstream in item.upstream | mandatory %}
    server {{ upstream }};
    {% endfor %}

    {% if item.directive is defined %}
    {% for directive in item.directive %}
    {{ directive.name | mandatory }}{% if directive.value is defined %} {{ directive.value | mandatory }}{% endif %};
    {% endfor %}
    {% endif %}
}
